Package org.flowable.bpmn.model

# Class ItemDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.ItemDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class ItemDefinition extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `itemKind`
  `protected String`
  `structureRef`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ItemDefinition`
  `clone()`
  `String`
  `getItemKind()`
  `String`
  `getStructureRef()`
  `void`
  `setItemKind(String itemKind)`
  `void`
  `setStructureRef(String structureRef)`
  `void`
  `setValues(ItemDefinition otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### structureRef

    protected String structureRef

  - ### itemKind

    protected String itemKind

- ## Constructor Details

  - ### ItemDefinition

    public ItemDefinition()

- ## Method Details

  - ### getStructureRef

    public String getStructureRef()

  - ### setStructureRef

    public void setStructureRef(String structureRef)

  - ### getItemKind

    public String getItemKind()

  - ### setItemKind

    public void setItemKind(String itemKind)

  - ### clone

    public ItemDefinition clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(ItemDefinition otherElement)